import { EventEmitter, NgZone, OnDestroy, OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { Brolog } from 'brolog';
import { IoEvent, ReadyState } from './io';
/**
 * for payload
 */
export interface ScanInfo {
    qrcode: string;
    status: number;
    data?: string;
}
export interface UserInfo {
    id: number;
    name: string;
}
export declare class WechatyComponent implements OnInit, OnDestroy {
    private log;
    private ngZone;
    message: EventEmitter<string>;
    scan: EventEmitter<ScanInfo>;
    login: EventEmitter<UserInfo>;
    logout: EventEmitter<UserInfo>;
    error: EventEmitter<Error>;
    heartbeat: EventEmitter<any>;
    private _token;
    get token(): string;
    set token(_newToken: string);
    private timer;
    private timerSub;
    private ender;
    private ioService;
    counter: number;
    timestamp: Date;
    constructor(log: Brolog, ngZone: NgZone);
    ngOnInit(): Promise<void>;
    ngOnDestroy(): void;
    onIo(e: IoEvent): void;
    reset(reason: string): void;
    shutdown(reason: string): void;
    startSyncMessage(): void;
    startTimer(): void;
    endTimer(): void;
    logoff(reason?: string): void;
    get readyState(): Observable<ReadyState>;
}
